/**
 * Universidade Federal de Pernambuco
 * Centro de Informtica
 * Disciplina: Introduo  Programao
 *
 * 
 * Este arquivo traz um exemplo simples do uso da linguagem C
 *
 * @author Adeline de Sousa Silva 
 */

#include <stdio.h>
    
int multiply (int a, int b) {    
    int count = abs(a);
    int n = abs(b);
    int mult = 0;
    int i; 
    for (i = 0;i < n; ++i)       
       mult = mult + count;         
    if ((a > 0 &&  b < 0) || 
        (a < 0 && b > 0)) {
      mult = mult * (-1);
    }
    return mult;
 }


 int divide (int a, int b) {

    
    int  temp = 0;
    int  n, i;
    
    if (a > b) {                    
        n = abs(b);
        i = 0;
        temp = abs(a);          
        while ((temp - n) >= 0 ) {          
           temp = temp - n; 
           i++;
        }            
        if ((a > 0 &&  b < 0) || (a < 0 && b > 0)) {
            i = i * (-1);
        }
    }
    else {
        i = 0;
    }
    return i;
 }    


 int remainder(int a, int b) {
    
    int resto = 0;
    int temp, div; 
    
    div = divide(a,b);
    
    temp = multiply(b, div);
    
    resto = a - temp;
    
    return resto;
 }


 int main () {
 
    int n1, n2, retorno, op;
    char resp = 's';
    
    
    while (tolower(resp) == 's') {
        
        printf("\nEste programa calcula multiplicacao, divisao e resto da divisao"
                "\nEntre dois numeros:");        
        
        printf("\n\nDigite o primeiro numero: ");
        scanf("%d",&n1);
        fflush(stdin);
        printf("\n\nDigite o segundo numero: ");
        scanf("%d",&n2);
        fflush(stdin);
        
        printf("\nEscolha a operacao : ");
        printf("\n\t 1 - Multiplicacao ");
        printf("\n\t 2 - Divisao ");
        printf("\n\t 3 - Remainder\n\n ");        
        
        do {            
               scanf("%d", &op);
               fflush(stdin);
               if ((op != 1) && (op != 2) && (op != 3 )) {
                    printf("\nDigite um valor valido: ");
               }
        }
        while ((op != 1) && (op != 2) && (op != 3 ) );    
        
        switch (op) {
        
            case 1 :
                retorno = multiply(n1, n2);
                printf("\nO resultado da multiplicacao de a por b eh : %d", retorno);
                break;
            case 2 :     
                retorno = divide (n1,n2);
                printf("\nO resultado da divisao inteira de a por b eh : %d", retorno);
                break;
            case 3 :                
                retorno = remainder(n1, n2);
                printf("\nO resto da divisao de a por b eh : %d", retorno);
                break;
        }
                
        printf("\n\nDeseja falzer outra multiplicacao? (s/n) ");
       
        scanf("%c",&resp);
    
    }

    return 0;
 }
 