/**
 * Universidade Federal de Pernambuco
 * Centro de Informtica
 * Disciplina: Introduo  Programao
 *
 * 
 * Este arquivo traz um exemplo simples de utilizacao de ponteiros
 *
 * @author Adeline de Sousa Silva 
 */
 
#include <stdio.h>

 void swap(int *px, int *py){
    
    int temp;
    temp = *px;
    *px = *py;
    *py = temp;
 }
 
 int main(void){
    
    int x,y, *x_ptr, *y_ptr;
    x = 10;
    y = 25;
    x_ptr = &x;
    y_ptr = &y;
    
    printf("\n\nExemplo de uso de ponteiros:\n\n");
    printf("Valor de x: %d\n", x);
    printf("Valor de x_ptr: %p\n", x_ptr);
    printf("Valor do contedo de  x_ptr: %d\n", (*x_ptr));
    
    printf("\n\nAntes de swap:\n");
    printf("Valor de x: %d, valor de y: %d\n\n", x, y);
    swap(x_ptr, y_ptr);
    printf("Depois de swap:\n");
    printf("Valor de x: %d, valor de y: %d\n\n", x, y);
    return 0;      
 }